Jump to content

Jak rozwiązać konflikt plików na najnowszym Suse ?


slabypingwin
 Share

Recommended Posts

Gdy przed chwilą chciałem zainstalować pakiet ANDROID-TOOLS na suse 15.4 to wywaliło mi taki bł ąd jak widać poniżej ;

Cytuj

 

można wybrać jedno z powyższych rozwiązań, wybierając odpowiedni numer lub można je anulować [1/2/c/d/?] (c): 2
Rozwiązywanie zależności...
Rozwiązywanie zależności pakietu...

Następujące 2 pakiety są sugerowane, ale nie zostaną zainstalowane:
  android-tools-mkbootimg android-tools-partition

Następujące 2 NOWE pakiety zostaną zainstalowane:
  android-tools android-tools-bash-completion

2 nowe pakiety do zainstalowania.
Całkowity rozmiar pobieranego pliku: 1,7 MiB. Już zbuforowane: 0 B. Po wykonaniu operacji użyte zostanie dodatkowo 5,5 MiB.
Czy kontynuować? [t/n/w/...? wyświetla wszystkie opcje] (t):
Pobieranie pakiet android-tools-31.0.3p1-16.1.x86_64                                                                                                 (1/2),   1,7 MiB (rozpakowano:   5,5 MiB)
Pobieranie: android-tools-31.0.3p1-16.1.x86_64.rpm .....................................................................................................................[gotowe (698,3 KiB/s)]
Pobieranie pakiet android-tools-bash-completion-31.0.3p1-16.1.noarch                                                                                 (2/2),  14,7 KiB (rozpakowano:  18,0 KiB)
Pobieranie: android-tools-bash-completion-31.0.3p1-16.1.noarch.rpm ...................................................................................................................[gotowe]

Sprawdzanie konfliktów pomiędzy plikami: ...............................................................................................................................................[błąd]
Wykryto konflikt między plikami (1):

File /usr/share/bash-completion/completions/adb
  from install of
     android-tools-bash-completion-31.0.3p1-16.1.noarch (Hardware tools (openSUSE_Tumbleweed))
  conflicts with file from package
     bash-completion-2.7-4.6.1.noarch (@System)

Konflikt plików ma miejsce wtedy, gdy dla dwóch pakietów następuje próba zainstalowania plików o takiej samej nazwie i różnej zawartości. W przypadku kontynuowania pliki pozostające w konflikcie zostaną zastąpione z utratą poprzedniej zawartości.
Czy kontynuować? [Tak/Nie] (Nie):

Wystąpił błąd podczas lub po instalacji lub usunięciu następujących pakietów:
Instalacja przerwana zgodnie z życzeniem.
Historia:
 - ABORT request:

Więcej informacji zawiera powyższy komunikat błędów.
[email protected]:~>

 

Jak wybrnąć z tej sytuacji ?

Proszę o poradę ...

Link to comment
Share on other sites

Należy zgłosić błąd autorom pakietów, żeby się zdecydowali kto dostarcza jakie pliki. Ewentualnie możesz odinstalować bash-completion, ale stracisz podpowiedzi w Bashu.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...